I wrote an android app which checks Navigon maps version. It is able to detect Navigon Europe, Navigon Europe for Amazon Underground and Navigon (free trial). Minimum os required: 4.0.3.

I don't know if it will work on all devices but theoretically it should.

[Only registered and activated users can see links. ]